AUTOLOG(8)

NOM
autolog — Déconnecter les utilisateurs inactifs

SYNOPSIS
autolog [ options ]

DESCRIPTION
Le programme autolog lit le fichier utmp entrée par entrée. Le nom d’utilisateur associé à chaque « processus utilisateur » est comparé aux entrées du fichier de configuration (voir autolog.conf(5)). La première entrée qui correspond au nom, au groupe et à la ligne tty du processus sera utilisée pour piloter la déconnexion automatique.

INVOCATION

/etc/init.d/autolog start
ou
autolog
    pour exécuter ce programme en mode démon.

autolog -o
    pour exécuter ce programme comme un programme « ordinaire ». Sachez cependant que même s’il s’exécute comme un programme ordinaire, il reste en mémoire jusqu’à ce que toutes ses tâches soient terminées.

OPTIONS

-a  (all processes) Afficher les informations à propos de TOUTES les entrées de utmp, sans se limiter aux processus utilisateur.

-d  (debug mode) Le mode de débogage s’avère utile lors de la construction du fichier de configuration. Au lieu de fourcher, autolog s’exécute en avant-plan et affiche des messages détaillés à propos de ce qu’il fait.

-n  (nokill) Cette option permet d’empêcher autolog de « tuer » quoi que ce soit. Utiliser les options -d et -n ensemble lors de la construction d’un nouveau fichier de configuration (ce qui n’affectera pas l’arrêt des processus perdus).

-o  (ordinary) Utiliser cette option pour exécuter autolog comme un programme ordinaire, pas en mode démon. Le programme se terminera quand sa tâche sera réalisée. Certaines données seront alors conservées dans le fichier /var/lib/autolog/autolog.data. Ce dernier sera lu lorsque le programme sera appelé à nouveau.

-f nom_fichier_configuration
    Cette option permet d’outrepasser le nom du fichier de configuration par défaut : /etc/autolog.conf.

-l nom_fichier_journal
    Cette option permet d’outrepasser le nom du fichier journal par défaut : /var/log/autolog.log. Notez que si le fichier spécifié n’existe pas, aucune journalisation ne sera effectuée. Pour activer la journalisation, le fichier devra alors être créé à l’aide de touch(1).

-t durée_inaction
    Cette option permet d’outrepasser la durée d’inaction interne par défaut (en minutes).

-g grace_period
    Cette option permet d’outrepasser le délai de grâce interne par défaut (en secondes).

-m yes/no
    Cette option permet d’outrepasser la valeur du commutateur interne d’envoi de message. Si elle est définie à « yes », autolog enverra un courriel aux utilisateurs juste après avoir tué leur processus.

-c yes/no
    Cette option permet d’outrepasser la valeur du commutateur interne « préeffaçage ». Si elle est définie à « yes », autolog effacera l’écran du terminal avant d’avertir l’utilisateur.

-w yes/no
    Au lieu de la durée d’inactivité, utiliser la durée de session pour calculer les délais (entrée « hard » du fichier de configuration).

-l yes/no
    Si cette option est définie à « yes », les activités seront enregistrées dans le fichier journal (s’il existe).

AUTEUR
Kyle Bateman <kyle@actarg.com> (autolog 0.35),
James Dingwall <james.dingwall@ncrvoyix.com>
(autolog 0.42.2)

Cette page du manuel a été modifiée pour Debian par Paul Telford <pxt@debian.org>

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.